//
//  StandardShader.glsl
//
//  Created by michael tesch.
//  Copyright (c) 2016 michael tesch. All rights reserved.
//
//  Combined vertex/fragment shader
//

#ifdef COMPILEVS

// Silence GLSL 150 deprecation warnings
#ifdef GL3
#define attribute in
#define varying out
#endif

attribute vec3 position;
attribute vec4 color;
attribute vec2 texCoord;

varying lowp vec4 colorVarying;
varying lowp vec2 TexCoord;

uniform mat4 MVPMatrix;

void main()
{
    colorVarying = color;
    TexCoord = texCoord;

    gl_Position = MVPMatrix * vec4(position, 1);
}

#else // COMPILEFS

#ifdef GL3
#define varying in
out vec4 fragData[1];
#define gl_FragColor fragData[0]
#define texture2D texture
#endif

varying lowp vec4 colorVarying;
varying lowp vec2 TexCoord;
uniform sampler2D tex;

void main()
{
    gl_FragColor = texture2D(tex  , TexCoord);
}

#endif // COMPILEVS/FS
